#!/usr/bin/env python
# -*- coding:utf-8 -*-
#
#   Author  :   RobertDing
#   E-mail  :   robertdingx@gmail.com
#   Date    :   17/07/21 15:59:25
#   Desc    :   verita data queries
#

from gm_dataquery.db import DB
from gm_dataquery.dataquery import DataBuilder, DataSQLQuery

from verita.models import WeChatRoomConfig, WechatRoom
from verita.models import FriendInvite, UserInfo, InteractiveWord


@DB
class ConfigDQ(DataSQLQuery):
    model = WeChatRoomConfig
    data_model = DataBuilder


@DB
class RoomDQ(DataSQLQuery):
    model = WechatRoom
    data_model = DataBuilder


@DB
class FriendInviteDQ(DataSQLQuery):
    model = FriendInvite
    data_model = DataBuilder


@DB
class UserInfoDQ(DataSQLQuery):
    model = UserInfo
    data_model = DataBuilder


@DB
class InteractiveWordDQ(DataSQLQuery):
    model = InteractiveWord
    data_model = DataBuilder
